import { IConfig } from '@zeedhi/core';
import prodEnvironment from './prodEnvironment.json';
import devEnvironment from './devEnvironment.json';
// import productProdEnvironment from '../../../../../frontend/src/config/prodEnvironment.json';
// import productDevEnvironment from '../../../../../frontend/src/config/devEnvironment.json';

const env = process.env.NODE_ENV === 'production' ? prodEnvironment : devEnvironment;
// const productEnv = process.env.NODE_ENV === 'production' ? productProdEnvironment : productDevEnvironment;

const config: IConfig = {
    endPoint: env.endPoint,
    metadataEndPoint: env.metadataEndPoint,
    env: {
        endPoint: env.endPoint,
        // fileServerUrl: productEnv.fileServerUrl,
    },
};

export default config;
